[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-changelog] [xen-unstable] Add hooks for a script to update kernel configuration after tree has been



# HG changeset patch
# User Ian Campbell <ian.campbell@xxxxxxxxxxxxx>
# Date 1183976979 -3600
# Node ID 224da1b2c5c2650b61cca3a8773a3bc43e42e227
# Parent  27768e6ca214efe231212bda70701beb73e5834d
Add hooks for a script to update kernel configuration after tree has been
prepared. This is to support upstream sources which do not enable Xen in their
default configurations.

Signed-off-by: Ian Campbell <ian.campbell@xxxxxxxxxxxxx>
---
 buildconfigs/enable-xen-config     |   36 ++++++++++++++++++++++++++++++++++++
 buildconfigs/mk.linux-2.6-paravirt |    4 +++-
 buildconfigs/mk.linux-2.6-xen      |    4 ++++
 3 files changed, 43 insertions(+), 1 deletion(-)

diff -r 27768e6ca214 -r 224da1b2c5c2 buildconfigs/enable-xen-config
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/buildconfigs/enable-xen-config    Mon Jul 09 11:29:39 2007 +0100
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+set -ex
+
+if [ $# -ne 1 ] ; then
+       echo "Usage $(basename $0) <config-file>" 1>&2
+       exit 1
+fi
+
+CONFIG=$1
+
+setopt()
+{
+       OPTION=$1
+       VALUE=$2
+
+       # First remove any existing instances of this option
+       sed -e "s/^# ${OPTION} is not set$//g ; s/^^{OPTION}=.$//g" -i 
"${CONFIG}"
+
+       # Then append the new value
+       case ${VALUE} in
+           y|m) echo "${OPTION}=${VALUE}" >> "${CONFIG}" ;;
+           n)   echo "# ${OPTION} is not set" >> "${CONFIG}" ;;
+           *)   echo "Invalid value ${VALUE} for ${OPTION}" 1>&2 ; exit 1 ;;
+       esac
+}
+
+setopt CONFIG_PARAVIRT y
+setopt CONFIG_XEN y
+setopt CONFIG_VMI y
+setopt CONFIG_LGUEST n
+setopt CONFIG_XEN_BLKDEV_FRONTEND y
+setopt CONFIG_XEN_NETDEV_FRONTEND y
+setopt CONFIG_HVC_XEN y
+
+exit 0
diff -r 27768e6ca214 -r 224da1b2c5c2 buildconfigs/mk.linux-2.6-paravirt
--- a/buildconfigs/mk.linux-2.6-paravirt        Mon Jul 09 11:29:30 2007 +0100
+++ b/buildconfigs/mk.linux-2.6-paravirt        Mon Jul 09 11:29:39 2007 +0100
@@ -8,6 +8,8 @@ IMAGE_TARGET ?= vmlinux bzImage
 
 XEN_LINUX_ALLOW_INTERFACE_MISMATCH := y
 
-EXTRAVERSION ?=
+XEN_LINUX_CONFIG_UPDATE := buildconfigs/enable-xen-config
+
+EXTRAVERSION ?= -paravirt
 
 include buildconfigs/mk.linux-2.6-xen
diff -r 27768e6ca214 -r 224da1b2c5c2 buildconfigs/mk.linux-2.6-xen
--- a/buildconfigs/mk.linux-2.6-xen     Mon Jul 09 11:29:30 2007 +0100
+++ b/buildconfigs/mk.linux-2.6-xen     Mon Jul 09 11:29:39 2007 +0100
@@ -74,6 +74,10 @@ endif
        else \
           echo "No configuration method found for this kernel" ; \
        fi
+ifneq ($(XEN_LINUX_CONFIG_UPDATE),)
+       echo "Updating $(CONFIG_FILE) using $(XEN_LINUX_CONFIG_UPDATE)"
+       sh $(XEN_LINUX_CONFIG_UPDATE) $(CONFIG_FILE)
+endif
 ifeq ($(XEN_TARGET_ARCH),x86_32)
 ifeq ($(pae),y)
        sed -e 's!^CONFIG_HIGHMEM4G=y$$!\# CONFIG_HIGHMEM4G is not set!;s!^\# 
CONFIG_HIGHMEM64G is not set$$!CONFIG_HIGHMEM64G=y!' $(CONFIG_FILE) > 
$(CONFIG_FILE)- && mv $(CONFIG_FILE)- $(CONFIG_FILE)

_______________________________________________
Xen-changelog mailing list
Xen-changelog@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-changelog


 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.